Loading...
Searching...
No Matches
pappso::ExceptionNotImplemented Class Reference

`#include <exceptionnotimplemented.h>`

Inheritance diagram for pappso::ExceptionNotImplemented:

## Public Member Functions

| ExceptionNotImplemented (const QString &message) throw ()
virtual QException * | clone () const override
Public Member Functions inherited from pappso::PappsoException
| PappsoException (const QString &message) throw ()
| PappsoException (const PappsoException &other) throw ()
void | raise () const override
virtual const QString & | qwhat () const throw ()
const char * | what () const noexcept override
virtual | ~PappsoException () throw ()

## Detailed Description

Definition at line 31 of file exceptionnotimplemented.h.

## Constructor & Destructor Documentation

## ExceptionNotImplemented()

pappso::ExceptionNotImplemented::ExceptionNotImplemented | ( | const QString & | message | ) |
throw | ( |
| ) |  |

inline

Definition at line 34 of file exceptionnotimplemented.h.

: PappsoException(message)
{
}
pappso::PappsoException::PappsoException
PappsoException(const QString &message)
Definition pappsoexception.h:44

## Member Function Documentation

## clone()

virtual QException * pappso::ExceptionNotImplemented::clone | ( |  | ) | const

inline override virtual

Reimplemented from pappso::PappsoException.

Definition at line 41 of file exceptionnotimplemented.h.

{
return new ExceptionNotImplemented(*this);
}
pappso::ExceptionNotImplemented::ExceptionNotImplemented
ExceptionNotImplemented(const QString &message)
Definition exceptionnotimplemented.h:34

The documentation for this class was generated from the following file:

- pappsomspp/exception/exceptionnotimplemented.h